################################################################################
# Automatically-generated file. Do not edit!
################################################################################

# set toolchain home
ifeq ($(strip $(MaPU_TC_HOME)),)
MaPU_TC_HOME := /public/share/tools/msdk/toolchain
endif

RM := rm -rf
APP:  all
LIB:  libinterrupt.a
.PHONY: LIB APP

# All of the sources participating in the build are defined here
-include ./obj/subdir.mk

ifneq ($(MAKECMDGOALS),clean)
ifneq ($(strip $(C_DEPS)),)
-include $(C_DEPS)
endif
endif

# Add inputs and outputs from these tool invocations to the build variables 

# All Target
all: libinterrupt.a

# Tool invocations
libinterrupt.a: $(OBJS)
	@echo 'Building target: $@'
	@echo 'Invoking: GNU archiver'
	ar rcs  "./lib/libinterrupt.a" $(USER_OBJS) $(OBJS) $(LIBS)
	@echo 'Finished building target: $@'
	@echo ' '

# Other Targets
clean:
	-$(RM) ./obj/*.o ./obj/*.d ./lib/libinterrupt.a
	-@echo ' '

.PHONY: all clean dependents
